net.ME1312.SubServers.Bungee.Event

## Class SubAddServerEvent

- java.lang.Object
- - net.md_5.bungee.api.plugin.Event
  - - net.ME1312.SubServers.Bungee.Event.SubAddServerEvent

All Implemented Interfaces:
  net.md_5.bungee.api.plugin.Cancellable, SubEvent

    public class SubAddServerEvent
    extends net.md_5.bungee.api.plugin.Event
    implements SubEvent, net.md_5.bungee.api.plugin.Cancellable

### Constructor Summary

Constructors
Constructor and Description
`SubAddServerEvent(java.util.UUID player, Host host, Server server)` Server Add Event

### Method Summary

All Methods Instance Methods Concrete Methods
`Host` `getHost()` Gets the Host of the Server
`java.util.UUID` `getPlayer()` Gets the player that triggered the Event
`Server` `getServer()` Gets the Server to be Added
`boolean` `isCancelled()` Gets the Cancelled Status
`void` `setCancelled(boolean value)` Sets the Cancelled Status

### Methods inherited from class net.md_5.bungee.api.plugin.Event

`postCall`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubAddServerEvent

    public SubAddServerEvent(java.util.UUID player,
                             Host host,
                             Server server)

Server Add Event

Parameters:
  `player` - Player Adding Server
  `server` - Server Starting

### Method Detail

#### getServer

    public Server getServer()

Gets the Server to be Added

Returns:
  The Server to be Added

#### getHost

    public Host getHost()

Gets the Host of the Server

Returns:
  The Host of the Server or null if isn't a SubServer

#### getPlayer

    public java.util.UUID getPlayer()

Gets the player that triggered the Event

Returns:
  The Player that triggered this Event or null if Console

#### isCancelled

    public boolean isCancelled()

Gets the Cancelled Status

Specified by:
  `isCancelled` in interface `net.md_5.bungee.api.plugin.Cancellable`
Returns:
  Cancelled Status

#### setCancelled

    public void setCancelled(boolean value)

Sets the Cancelled Status

Specified by:
  `setCancelled` in interface `net.md_5.bungee.api.plugin.Cancellable`